Create Service Request File: Rentvine
https://api.propexo.com/v1/service-requests/rentvine/:service_request_id/file-upload/| Interface | Method |
|---|---|
| Files | POST /api/manager/files |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
attachment objectrequired
The file data for the document upload
The contents of the file, as a base64 encoded string. We limit the file upload size to 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the service request
attachment objectrequired
The contents of the file, as a base64 encoded string. We limit the file upload size to 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/rentvine/:service_request_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
}
}